package app.furmeet.events.brasilfurfest.schedule.adapters

import android.view.View
import android.view.ViewGroup
import app.furmeet.events.brasilfurfest.helper.nullFun
import app.furmeet.events.brasilfurfest.schedule.viewHolders.RecyclerViewHolder

class EmptyRecyclerViewAdapter : RecyclerViewAdapter() {
    override fun getItemCount(): Int = 0
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): RecyclerViewHolder =
            RecyclerViewHolder(View(parent.context))

    override fun onBindViewHolder(holder: RecyclerViewHolder, position: Int) = nullFun()
}